DPDK patches and discussions
 help / color / mirror / Atom feed
From: David Marchand <david.marchand@redhat.com>
To: Thomas Monjalon <thomas@monjalon.net>
Cc: dev <dev@dpdk.org>, Bruce Richardson <bruce.richardson@intel.com>,
	 Ray Kinsella <mdr@ashroe.eu>,
	Neil Horman <nhorman@tuxdriver.com>
Subject: Re: [dpdk-dev] [PATCH 1/1] devtools: adjust verbosity of ABI check
Date: Tue, 8 Dec 2020 16:31:54 +0100	[thread overview]
Message-ID: <CAJFAV8zNr72L=Vm0T33kpho0C5NmqDy9o_8MicSZ6aWGEoVJVg@mail.gmail.com> (raw)
In-Reply-To: <20201207173235.1397351-1-thomas@monjalon.net>

On Mon, Dec 7, 2020 at 6:33 PM Thomas Monjalon <thomas@monjalon.net> wrote:
> diff --git a/devtools/check-abi.sh b/devtools/check-abi.sh
> index ab6748cfbc..381db2cdd1 100755
> --- a/devtools/check-abi.sh
> +++ b/devtools/check-abi.sh

[snip]

> @@ -46,23 +46,24 @@ for dump in $(find $refdir -name "*.dump"); do
>         fi
>         dump2=$(find $newdir -name $name)
>         if [ -z "$dump2" ] || [ ! -e "$dump2" ]; then
> -               echo "Error: can't find $name in $newdir"
> +               echo "Error: cannot find $name in $newdir" >&2
>                 error=1
>                 continue
>         fi
> +       echo abidiff $ABIDIFF_OPTIONS $dump $dump2

On error, this same command is repeated below, so I don't see the need
for this new debug message.


>         abidiff $ABIDIFF_OPTIONS $dump $dump2 || {
>                 abiret=$?
> -               echo "Error: ABI issue reported for 'abidiff $ABIDIFF_OPTIONS $dump $dump2'"
> +               echo "Error: ABI issue reported for 'abidiff $ABIDIFF_OPTIONS $dump $dump2'" >&2
>                 error=1
>                 echo


-- 
David Marchand


  parent reply	other threads:[~2020-12-08 15:32 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-12-07 17:32 Thomas Monjalon
2020-12-08 15:22 ` Kinsella, Ray
2020-12-08 15:32   ` Thomas Monjalon
2020-12-08 15:31 ` David Marchand [this message]
2020-12-17  9:05 ` [dpdk-dev] [PATCH v2 " Thomas Monjalon
2021-01-13  9:21   ` Thomas Monjalon

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to='CAJFAV8zNr72L=Vm0T33kpho0C5NmqDy9o_8MicSZ6aWGEoVJVg@mail.gmail.com' \
    --to=david.marchand@redhat.com \
    --cc=bruce.richardson@intel.com \
    --cc=dev@dpdk.org \
    --cc=mdr@ashroe.eu \
    --cc=nhorman@tuxdriver.com \
    --cc=thomas@monjalon.net \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).